Post React Add
Add a reaction to a post.
Add a reaction to a post.
storyden-session<token>post_id*stringUnique post ID.
xidAdd a reaction to a post.
application/json- body
Reactions are currently just simple emoji characters.
emoji*ReactEmojiA single emoji character representing a reaction. In future, this will be augmented with a more fully fledged custom emoji system.
Post reaction added.
application/json- response
id*IdentifierA unique identifier for this resource.
xidemoji*ReactEmojiA single emoji character representing a reaction. In future, this will be augmented with a more fully fledged custom emoji system.
author*A minimal reference to an account.
curl -X PUT 'https://example.com/api/posts/string/reacts' \ -H 'Content-Type: application/json' \ -d '{ "emoji": "string"}'{ "id": "string", "emoji": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }}Post Location Get GET
Locate a post just from its ID. This will tell you what kind of post it is and where to find it. Where "a post is" is simple for threads, just the slug. For replies, it will give you the thread slug and the position within the thread: the index, the page and the position on the page.
Post React Remove DELETE
Remove a reaction from a post.